<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>QCPLCBit.Type12 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="QCPLCBit.Type12 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/QCPLCBit.Type12.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type0.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html" target="_top">Frames</a>
        </li>
        <li><a href="QCPLCBit.Type12.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpbf.model.qcbits</div>
    <h2 title="Class QCPLCBit.Type12" class="title">Class QCPLCBit.Type12</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html"
                       title="class in org.apache.poi.hpbf.model.qcbits">org.apache.poi.hpbf.model.qcbits.QCBit</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                               title="class in org.apache.poi.hpbf.model.qcbits">org.apache.poi.hpbf.model.qcbits.QCPLCBit</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hpbf.model.qcbits.QCPLCBit.Type12</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                           title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">QCPLCBit.Type12</span>
extends <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
           title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></pre>
                <div class="block">Type 12 holds hyperlinks, and is very complex.
                    There is normally one of these for each text
                    area that contains at least one hyperlinks.
                    The character offsets are relative to the start
                    of the text area that this applies to.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></h3>
                                <code><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type0.html"
                                         title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type0</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type12</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type4</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type8.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type8</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html#getAllTextEndAt--">getAllTextEndAt</a></span>()</code>
                                    <div class="block">Returns where in the text that this block
                                        of hyperlinks stops applying to.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html#getHyperlink-int-">getHyperlink</a></span>(int&nbsp;number)</code>
                                    <div class="block">Returns the URL of the hyperlink at the
                                        given index.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html#getNumberOfHyperlinks--">getNumberOfHyperlinks</a></span>()</code>
                                    <div class="block">Returns the number of hyperlinks, which should
                                        either be zero, or the number of PLC bits
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html#getTextStartAt-int-">getTextStartAt</a></span>(int&nbsp;number)</code>
                                    <div class="block">Returns where in the text (in characters) the
                                        hyperlink at the given index starts
                                        applying to.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#createQCPLCBit-java.lang.String-java.lang.String-byte:A-">createQCPLCBit</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getNumberOfPLCs--">getNumberOfPLCs</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPlcValA--">getPlcValA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPlcValB--">getPlcValB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPreData--">getPreData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getTypeOfPLCS--">getTypeOfPLCS</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCBit">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCBit</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getBitType--">getBitType</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getData--">getData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getDataOffset--">getDataOffset</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getLength--">getLength</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptA--">getOptA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptB--">getOptB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptC--">getOptC</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getThingType--">getThingType</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setData-byte:A-">setData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setDataOffset-int-">setDataOffset</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptA-int-">setOptA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptB-int-">setOptB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptC-int-">setOptC</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumberOfHyperlinks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfHyperlinks</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfHyperlinks()</pre>
                                <div class="block">Returns the number of hyperlinks, which should
                                    either be zero, or the number of PLC bits
                                </div>
                            </li>
                        </ul>
                        <a name="getHyperlink-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHyperlink</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHyperlink(int&nbsp;number)</pre>
                                <div class="block">Returns the URL of the hyperlink at the
                                    given index.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>number</code> - The hyperlink number, zero based</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextStartAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextStartAt</h4>
                                <pre>public&nbsp;int&nbsp;getTextStartAt(int&nbsp;number)</pre>
                                <div class="block">Returns where in the text (in characters) the
                                    hyperlink at the given index starts
                                    applying to.
                                    This position is relative to the text area that this
                                    PLCBit applies to.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>number</code> - The hyperlink number, zero based</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAllTextEndAt--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAllTextEndAt</h4>
                                <pre>public&nbsp;int&nbsp;getAllTextEndAt()</pre>
                                <div class="block">Returns where in the text that this block
                                    of hyperlinks stops applying to. Normally,
                                    but not always the end of the text.
                                    This position is relative to the text area that this
                                    PLCBit applies to.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/QCPLCBit.Type12.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type0.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html" target="_top">Frames</a>
        </li>
        <li><a href="QCPLCBit.Type12.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
